<%= form_with url: results_path, method: 'get', class: 'row' do |form| %>
  <div class="row">
    <%= render 'tags', tags: tags %>
  </div>
  
  <div class="row">
    <div class="col m-auto">
      <%= form.label :from %>
    </div>

    <%= form.date_select :from,
      {
        order: [:day, :month, :year],
        default: {
          day: request.query_parameters["[from(3i)]"],
          month: request.query_parameters["[from(2i)]"],
          year: request.query_parameters["[from(1i)]"]
        }
      }, 
      {
        class: 'form-select col'
      }
    %>

    <div class="col m-auto">
      <%= form.label :to %>
    </div>

    <%= form.date_select :to, 
      {
        order: [:day, :month, :year],
        default: {
          day: request.query_parameters["[to(3i)]"],
          month: request.query_parameters["[to(2i)]"],
          year: request.query_parameters["[to(1i)]"]
        }
      },
      {
        class: 'form-select col'
      }
    %>

    <div class="col m-auto">
      <%= form.submit 'Filter', class: "btn btn-primary" %>
    </div>
  </div>

<% end %>